API Reference for Marketo Engage

Update Email Variable

POST /rest/asset/v1/email/{id}/variable/{name}.json

Updates the value of a given variable in an email.

Operation ID
updateVariableUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfEmailVariableResponse

Parameters

Path 2

id integer (int32) required
name string required

Request body

application/x-www-form-urlencoded · optional · UpdateVariableRequest · 2 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

value string

Value to update variable with

moduleId string

Module that variable is associated with. Required for updating module variables. Not needed for global variables.

Responses

200 OK ResponseOfEmailVariableResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of EmailVariableResponse

Model EmailVariableResponse

name string required

Name of the email variable

value string required

Value of the email variable

moduleScope boolean required

Returns true for local variables else returns false

moduleId string

Returns the moduleId associated with the variable, only in case of local variable

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "name": "Example name",
      "value": "string",
      "moduleScope": true,
      "moduleId": "123"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results